Update a contract reminder
curl --request PATCH \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-reminders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reminderType": "EMAIL_REMINDER",
"reminderConfigs": {
"emails": [
"hoge@i.moneyforward.com",
"dummyaccount@i.moneyforward.com"
]
},
"remindBeforeConfig": {
"unit": "days",
"value": 3
}
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-reminders/{id}"
payload = {
"reminderType": "EMAIL_REMINDER",
"reminderConfigs": { "emails": ["hoge@i.moneyforward.com", "dummyaccount@i.moneyforward.com"] },
"remindBeforeConfig": {
"unit": "days",
"value": 3
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reminderType: 'EMAIL_REMINDER',
reminderConfigs: {emails: ['hoge@i.moneyforward.com', 'dummyaccount@i.moneyforward.com']},
remindBeforeConfig: {unit: 'days', value: 3}
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-reminders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"reminderType": "SLACK_REMINDER",
"reminderConfigs": {
"slackWorkspaceName": "Money Forward",
"slackChannels": [
{
"id": "C01ME8GUXXX",
"name": "#general"
}
]
},
"contractId": 1,
"remindBeforeConfig": {
"unit": "days",
"value": 3
}
}Contracts
Update a contract reminder
Update an email reminder for a contract by its ID. Slack reminders are not supported via the public API and must be managed in the Admina UI.
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
/
contract-reminders
/
{id}
Update a contract reminder
承認
ボディ
application/json
最終更新日 2026年8月24日
このページは役に立ちましたか?
⌘I

